[ { "title": "400 Bad Request", "description": "The request body was not structured correctly." }]
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
Suggestions
Bulk Accept or Reject Job Architecture Suggestions
Accept or reject multiple suggestions in a single request.
Use the category query parameter to choose between skill suggestions (default) and task suggestions.
Skill suggestions (category=skills):
When a skill suggestion is accepted, the corresponding change is applied to the job’s governed skill profile:
add_job_skill: Adds the skill to the job’s skill profile with validation_state: validated
remove_job_skill: Marks the skill as rejected on the job’s skill profile
set_job_skill_proficiency: Updates the skill’s proficiency level
set_job_skill_criticality: Updates the skill’s critical flag
Task suggestions (category=tasks):
When a task suggestion is accepted, the task is added to the job’s task profile:
add_job_task: Adds the task to the job’s task profile
The data.weekly_hours field is required for all task suggestion interactions.
Side Effects (skill suggestions only):
Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically
accept the corresponding add_job_skill suggestion for the same skill if it exists.
Overriding Values (skill suggestions only):
When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different
proficiency_level in the data field to override the suggested value.
When accepting a set_job_skill_criticality suggestion, you can optionally provide a different
critical value in the data field to override the suggested value.
[ { "title": "400 Bad Request", "description": "The request body was not structured correctly." }]
[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
]
[
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
]
[
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]
max connections reached: <limit>
[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]
No Content - All interactions were processed successfully.
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"TechWolf Developer Portal","colors":{"primary":"#000000","light":"#F5F5F5","dark":"#8997F9"},"logo":{"light":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9","dark":"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-dark.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=3e2f5e60e21a12eabd092fde29a29434"},"favicon":"https://mintcdn.com/techwolf/O6Ad9BPC00x-v0KV/favicon.svg?fit=max\u0026auto=format\u0026n=O6Ad9BPC00x-v0KV\u0026q=85\u0026s=dc5fac3e8ad4b016d838af70c4f21dc5","api":{"playground":{"display":"none"}},"navbar":{"links":[{"href":"mailto:support@techwolf.ai","label":"Support"}],"primary":{"type":"button","label":"Request a demo","href":"https://techwolf.com/callform"}},"footer":{"socials":{"facebook":"https://www.facebook.com/techwolf.eu","x":"https://x.com/techwolfbe","instagram":"https://www.instagram.com/techwolf.ai?hl=en","linkedin":"https://linkedin.com/company/techwolf"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"techwolf","hasAudioNarration":false,"actualSubdomain":"techwolf","customDomains":["developers.techwolf.ai"],"gitSource":{"type":"gitlab","owner":"techwolfbe/skillengine-api","repo":"skillengine-api-openapi-docs","projectId":19681689,"deployBranch":"master","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6ae35bf053dfbd884fd30bc5","collectionId":"e56611cc-460d-4561-9949-335e375ae843","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6ae35bf053dfbd884fd30bc5"},"feedback":{"edits":true,"thumbs":true,"issues":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6ae35bf053dfbd884fd30bc5","clientVersion":"0.0.4021","searchFilterCounts":[{"language":"default","tag":"API Reference","count":253},{"language":"default","tag":"Integrations","count":106},{"language":"default","tag":"Tutorials","count":54},{"language":"default","tag":"CRUD","count":47},{"language":"default","tag":"Employees","count":39},{"language":"default","tag":"Jobs","count":39},{"language":"default","tag":"Entity Sync","count":36},{"language":"default","tag":"Taxonomy","count":35},{"language":"default","tag":"Matchmaking","count":33},{"language":"default","tag":"Export","count":27}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".max-w-8xl{max-width:100vw}th{text-align:left}"}],"page":{"pagePath":"reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions","slug":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions","pageMetadata":{"title":"Bulk Accept or Reject Job Architecture Suggestions","openapi":"POST /job_architecture/suggestions/interactions","description":"Accept or reject multiple suggestions in a single request.\n\nUse the `category` query parameter to choose between skill suggestions (default) and task suggestions.\n\n**Skill suggestions** (`category=skills`):\n\nWhen a skill suggestion is accepted, the corresponding change is applied to the job's governed skill profile:\n- `add_job_skill`: Adds the skill to the job's skill profile with `validation_state: validated`\n- `remove_job_skill`: Marks the skill as rejected on the job's skill profile\n- `set_job_skill_proficiency`: Updates the skill's proficiency level\n- `set_job_skill_criticality`: Updates the skill's critical flag\n\n**Task suggestions** (`category=tasks`):\n\nWhen a task suggestion is accepted, the task is added to the job's task profile:\n- `add_job_task`: Adds the task to the job's task profile\n\nThe `data.weekly_hours` field is required for all task suggestion interactions.\n\n**Side Effects (skill suggestions only):**\n- Accepting a `set_job_skill_proficiency` or `set_job_skill_criticality` suggestion will automatically\n accept the corresponding `add_job_skill` suggestion for the same skill if it exists.\n\n**Overriding Values (skill suggestions only):**\n- When accepting a `set_job_skill_proficiency` suggestion, you can optionally provide a different\n `proficiency_level` in the `data` field to override the suggested value.\n- When accepting a `set_job_skill_criticality` suggestion, you can optionally provide a different\n `critical` value in the `data` field to override the suggested value.\n","href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions"},"description":{"compiledSource":"\"use strict\";\nconst {Fragment: _Fragment, jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n code: \"code\",\n li: \"li\",\n p: \"p\",\n strong: \"strong\",\n ul: \"ul\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_Fragment, {\n children: [_jsx(_components.p, {\n children: \"Accept or reject multiple suggestions in a single request.\"\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"Use the \", _jsx(_components.code, {\n children: \"category\"\n }), \" query parameter to choose between skill suggestions (default) and task suggestions.\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Skill suggestions\"\n }), \" (\", _jsx(_components.code, {\n children: \"category=skills\"\n }), \"):\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"When a skill suggestion is accepted, the corresponding change is applied to the job’s governed skill profile:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"add_job_skill\"\n }), \": Adds the skill to the job’s skill profile with \", _jsx(_components.code, {\n children: \"validation_state: validated\"\n })]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"remove_job_skill\"\n }), \": Marks the skill as rejected on the job’s skill profile\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"set_job_skill_proficiency\"\n }), \": Updates the skill’s proficiency level\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"set_job_skill_criticality\"\n }), \": Updates the skill’s critical flag\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [_jsx(_components.strong, {\n children: \"Task suggestions\"\n }), \" (\", _jsx(_components.code, {\n children: \"category=tasks\"\n }), \"):\"]\n }), \"\\n\", _jsx(_components.p, {\n children: \"When a task suggestion is accepted, the task is added to the job’s task profile:\"\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [_jsx(_components.code, {\n children: \"add_job_task\"\n }), \": Adds the task to the job’s task profile\"]\n }), \"\\n\"]\n }), \"\\n\", _jsxs(_components.p, {\n children: [\"The \", _jsx(_components.code, {\n children: \"data.weekly_hours\"\n }), \" field is required for all task suggestion interactions.\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Side Effects (skill suggestions only):\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"Accepting a \", _jsx(_components.code, {\n children: \"set_job_skill_proficiency\"\n }), \" or \", _jsx(_components.code, {\n children: \"set_job_skill_criticality\"\n }), \" suggestion will automatically\\naccept the corresponding \", _jsx(_components.code, {\n children: \"add_job_skill\"\n }), \" suggestion for the same skill if it exists.\"]\n }), \"\\n\"]\n }), \"\\n\", _jsx(_components.p, {\n children: _jsx(_components.strong, {\n children: \"Overriding Values (skill suggestions only):\"\n })\n }), \"\\n\", _jsxs(_components.ul, {\n children: [\"\\n\", _jsxs(_components.li, {\n children: [\"When accepting a \", _jsx(_components.code, {\n children: \"set_job_skill_proficiency\"\n }), \" suggestion, you can optionally provide a different\\n\", _jsx(_components.code, {\n children: \"proficiency_level\"\n }), \" in the \", _jsx(_components.code, {\n children: \"data\"\n }), \" field to override the suggested value.\"]\n }), \"\\n\", _jsxs(_components.li, {\n children: [\"When accepting a \", _jsx(_components.code, {\n children: \"set_job_skill_criticality\"\n }), \" suggestion, you can optionally provide a different\\n\", _jsx(_components.code, {\n children: \"critical\"\n }), \" value in the \", _jsx(_components.code, {\n children: \"data\"\n }), \" field to override the suggested value.\"]\n }), \"\\n\"]\n })]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Bulk Accept or Reject Job Architecture Suggestions","openapi":"POST /job_architecture/suggestions/interactions","description":"Accept or reject multiple suggestions in a single request.\n\nUse the `category` query parameter to choose between skill suggestions (default) and task suggestions.\n\n**Skill suggestions** (`category=skills`):\n\nWhen a skill suggestion is accepted, the corresponding change is applied to the job's governed skill profile:\n- `add_job_skill`: Adds the skill to the job's skill profile with `validation_state: validated`\n- `remove_job_skill`: Marks the skill as rejected on the job's skill profile\n- `set_job_skill_proficiency`: Updates the skill's proficiency level\n- `set_job_skill_criticality`: Updates the skill's critical flag\n\n**Task suggestions** (`category=tasks`):\n\nWhen a task suggestion is accepted, the task is added to the job's task profile:\n- `add_job_task`: Adds the task to the job's task profile\n\nThe `data.weekly_hours` field is required for all task suggestion interactions.\n\n**Side Effects (skill suggestions only):**\n- Accepting a `set_job_skill_proficiency` or `set_job_skill_criticality` suggestion will automatically\n accept the corresponding `add_job_skill` suggestion for the same skill if it exists.\n\n**Overriding Values (skill suggestions only):**\n- When accepting a `set_job_skill_proficiency` suggestion, you can optionally provide a different\n `proficiency_level` in the `data` field to override the suggested value.\n- When accepting a `set_job_skill_criticality` suggestion, you can optionally provide a different\n `critical` value in the `data` field to override the suggested value.\n","href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/_mintlify/custom/techwolf/17802b7b2cc53972/snippets/open-source-fetch.js"],"openApiReferenceData":{"operation":{"tags":["JobSuggestions"],"summary":"Bulk Accept or Reject Job Architecture Suggestions","description":"Accept or reject multiple suggestions in a single request.\n\nUse the `category` query parameter to choose between skill suggestions (default) and task suggestions.\n\n**Skill suggestions** (`category=skills`):\n\nWhen a skill suggestion is accepted, the corresponding change is applied to the job's governed skill profile:\n- `add_job_skill`: Adds the skill to the job's skill profile with `validation_state: validated`\n- `remove_job_skill`: Marks the skill as rejected on the job's skill profile\n- `set_job_skill_proficiency`: Updates the skill's proficiency level\n- `set_job_skill_criticality`: Updates the skill's critical flag\n\n**Task suggestions** (`category=tasks`):\n\nWhen a task suggestion is accepted, the task is added to the job's task profile:\n- `add_job_task`: Adds the task to the job's task profile\n\nThe `data.weekly_hours` field is required for all task suggestion interactions.\n\n**Side Effects (skill suggestions only):**\n- Accepting a `set_job_skill_proficiency` or `set_job_skill_criticality` suggestion will automatically\n accept the corresponding `add_job_skill` suggestion for the same skill if it exists.\n\n**Overriding Values (skill suggestions only):**\n- When accepting a `set_job_skill_proficiency` suggestion, you can optionally provide a different\n `proficiency_level` in the `data` field to override the suggested value.\n- When accepting a `set_job_skill_criticality` suggestion, you can optionally provide a different\n `critical` value in the `data` field to override the suggested value.\n","security":["0e9600d6-d273-4207-9cb2-b1f2e7912ce0"],"parameters":["7a9421a8-d895-4f6b-b879-85e633498a55"],"requestBody":"29b26552-cc66-45a8-98f3-fd79e4e17400","responses":{"204":"4a69e939-ba6a-4fa0-bc57-bf907afc975e","400":"9cdcb190-b9c8-43dc-929d-b49edd784f59","401":"32ad83b2-34fd-4379-a849-3c2568b9675c","403":"1ab54480-e1b1-41fe-9ef1-300820e67dd4","405":"47e5bc17-ea55-480a-8b3a-1e16af34c71f","429":"28c15ce7-01ff-465e-b2ea-0e4018eeeaf3","503":"c067a1aa-9268-4dd1-a321-0e5ee03719c7"},"method":"post","type":"path","servers":["8ea11752-85e6-40e2-ba23-aa86044482d7"],"path":"/job_architecture/suggestions/interactions","baseUrlOptions":["https://{tenant_name}.{region}.techwolf.ai"],"title":"Bulk Accept or Reject Job Architecture Suggestions","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"7a9421a8-d895-4f6b-b879-85e633498a55":{"in":"query","name":"category","required":false,"description":"The type of suggestions to export or interact with. If not specified, the default category (`skills`) will be used.","schema":{"type":"string","default":"skills","enum":["skills","tasks"],"isRequired":false,"description":"The type of suggestions to export or interact with. If not specified, the default category (`skills`) will be used.","uniqueKey":"","typeLabel":"enum\u003cstring>"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"oneOf":[{"type":"object","title":"Skills","description":"Request body for bulk accepting or rejecting job architecture suggestions.","required":["interactions"],"properties":{"interactions":{"type":"array","description":"List of suggestion interactions to process.","minItems":1,"items":{"type":"object","description":"A single suggestion interaction item for accepting or rejecting a suggestion.","required":["suggestion_id","state"],"properties":{"suggestion_id":{"type":"string","format":"uuid","description":"The unique identifier of the suggestion to interact with.","example":"550e8400-e29b-41d4-a716-446655440000","isRequired":true,"uniqueKey":"oneOf.0.interactions.items.[INDEX].suggestion_id","typeLabel":"string\u003cuuid>"},"state":{"description":"State to set when interacting with a suggestion.","type":"string","enum":["accepted","rejected"],"example":"accepted","isRequired":true,"uniqueKey":"oneOf.0.interactions.items.[INDEX].state","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Optional data to override suggestion values when accepting.\n- `proficiency_level`: Override the proficiency level (1-5)\n- `critical`: Override the critical flag (boolean)\n","properties":{"proficiency_level":{"type":"integer","minimum":1,"maximum":5,"description":"Override the proficiency level when accepting a proficiency suggestion.","example":3,"uniqueKey":"oneOf.0.interactions.items.[INDEX].data.proficiency_level","typeLabel":"integer"},"critical":{"type":"boolean","description":"Override the critical flag when accepting a criticality suggestion.","example":true,"uniqueKey":"oneOf.0.interactions.items.[INDEX].data.critical","typeLabel":"boolean"}},"uniqueKey":"oneOf.0.interactions.items.[INDEX].data","typeLabel":"object"}},"uniqueKey":"oneOf.0.interactions.items.[INDEX]","typeLabel":"object"},"example":[{"suggestion_id":"550e8400-e29b-41d4-a716-446655440000","state":"accepted"},{"suggestion_id":"660e8400-e29b-41d4-a716-446655440001","state":"rejected"},{"suggestion_id":"770e8400-e29b-41d4-a716-446655440002","state":"accepted","data":{"proficiency_level":3}}],"isRequired":true,"uniqueKey":"oneOf.0.interactions","typeLabel":"object[]"}},"uniqueKey":"oneOf.0","typeLabel":"Skills · object"},{"type":"object","title":"Tasks","description":"Request body for bulk accepting or rejecting task suggestions.","required":["interactions"],"properties":{"interactions":{"type":"array","description":"List of task suggestion interactions to process.","minItems":1,"items":{"type":"object","description":"A single task suggestion interaction item for accepting or rejecting a task suggestion.","required":["suggestion_id","state","data"],"properties":{"suggestion_id":{"type":"string","format":"uuid","description":"The unique identifier of the task suggestion to interact with.","example":"01966c7a-3b4d-7e8f-9a1c-2d5e6f7a8b9c","isRequired":true,"uniqueKey":"oneOf.1.interactions.items.[INDEX].suggestion_id","typeLabel":"string\u003cuuid>"},"state":{"description":"State to set when interacting with a suggestion.","type":"string","enum":["accepted","rejected"],"example":"accepted","isRequired":true,"uniqueKey":"oneOf.1.interactions.items.[INDEX].state","typeLabel":"enum\u003cstring>"},"data":{"type":"object","description":"Required data for the task suggestion interaction.","required":["weekly_hours"],"properties":{"weekly_hours":{"type":"integer","description":"The number of weekly hours for this task.","example":4,"isRequired":true,"uniqueKey":"oneOf.1.interactions.items.[INDEX].data.weekly_hours","typeLabel":"integer"}},"isRequired":true,"uniqueKey":"oneOf.1.interactions.items.[INDEX].data","typeLabel":"object"}},"uniqueKey":"oneOf.1.interactions.items.[INDEX]","typeLabel":"object"},"example":[{"suggestion_id":"01966c7a-3b4d-7e8f-9a1c-2d5e6f7a8b9c","state":"accepted","data":{"weekly_hours":4}},{"suggestion_id":"02977d8b-4c5e-8f9a-0b2d-3e6f7a8b9c0d","state":"rejected","data":{"weekly_hours":2}}],"isRequired":true,"uniqueKey":"oneOf.1.interactions","typeLabel":"object[]"}},"uniqueKey":"oneOf.1","typeLabel":"Tasks · object"}],"uniqueKey":"","typeLabel":"Skills · object | Tasks · object"},"examples":{"basicAcceptReject":{"title":"basicAcceptReject","value":{"interactions":[{"suggestion_id":"550e8400-e29b-41d4-a716-446655440000","state":"accepted"},{"suggestion_id":"660e8400-e29b-41d4-a716-446655440001","state":"rejected"}]}},"withOverride":{"title":"withOverride","value":{"interactions":[{"suggestion_id":"770e8400-e29b-41d4-a716-446655440002","state":"accepted","data":{"proficiency_level":4}}]}},"taskInteraction":{"title":"taskInteraction","value":{"interactions":[{"suggestion_id":"01966c7a-3b4d-7e8f-9a1c-2d5e6f7a8b9c","state":"accepted","data":{"weekly_hours":4}},{"suggestion_id":"02977d8b-4c5e-8f9a-0b2d-3e6f7a8b9c0d","state":"rejected","data":{"weekly_hours":2}}]}}},"exampleType":"examples"}},"exampleType":"examples"},"responses":{"4a69e939-ba6a-4fa0-bc57-bf907afc975e":{"description":"No Content - All interactions were processed successfully.","content":{"_mintlify/placeholder":{"schema":{"type":"object","description":""}}}},"9cdcb190-b9c8-43dc-929d-b49edd784f59":{"description":"Bad request","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"oneOf":[{"type":"string","description":"Description of the error.","uniqueKey":"description.oneOf.0","typeLabel":"string"},{"type":"object","description":"Description of the error.","uniqueKey":"description.oneOf.1","typeLabel":"object"},{"type":"array","items":{"type":"string","description":"Description of the error.","uniqueKey":"description.oneOf.2.items.[INDEX]","typeLabel":"string"},"description":"Description of the error.","uniqueKey":"description.oneOf.2","typeLabel":"string[]"}],"uniqueKey":"description","typeLabel":"string | object | string[]"}},"example":[{"title":"400 Bad Request","description":"The request body was not structured correctly."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"400 Bad Request","description":"The request body was not structured correctly."}]}},"exampleType":"generated"}},"exampleType":"generated"},"32ad83b2-34fd-4379-a849-3c2568b9675c":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"401 Unauthorized","description":"OAuth access token is missing, invalid or expired."}]}},"exampleType":"generated"}},"exampleType":"generated"},"1ab54480-e1b1-41fe-9ef1-300820e67dd4":{"description":"Forbidden","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"403 Forbidden","description":"You don't have access to this resource."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"403 Forbidden","description":"You don't have access to this resource."}]}},"exampleType":"generated"}},"exampleType":"generated"},"47e5bc17-ea55-480a-8b3a-1e16af34c71f":{"description":"Method Not Allowed","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"405 Method Not Allowed","description":"This method is not allowed for the requested URL."}]}},"exampleType":"generated"}},"exampleType":"generated"},"28c15ce7-01ff-465e-b2ea-0e4018eeeaf3":{"description":"Too Many Requests","content":{"text/plain":{"schema":{"type":"string","example":"max connections reached: \u003climit>","uniqueKey":"","typeLabel":"string"},"examples":{"Example":{"title":"Example","value":"max connections reached: \u003climit>"}},"exampleType":"generated"}},"exampleType":"generated"},"c067a1aa-9268-4dd1-a321-0e5ee03719c7":{"description":"Service Unavailable","content":{"application/json":{"schema":{"type":"object","properties":{"title":{"type":"string","description":"Name of the error.","uniqueKey":"title","typeLabel":"string"},"description":{"type":"string","description":"Description of the error.","uniqueKey":"description","typeLabel":"string"}},"example":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":[{"title":"503 Service Unavailable","description":"The Skill Engine API is currently not available. Please contact TechWolf or try again later."}]}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"0e9600d6-d273-4207-9cb2-b1f2e7912ce0":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"}}},"servers":{"8ea11752-85e6-40e2-ba23-aa86044482d7":{"description":"Skill Engine API","url":"https://{tenant_name}.{region}.techwolf.ai","variables":{"tenant_name":{"default":"tenant_name"},"region":{"default":"eu3","enum":["eu3","us3"]}}}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://techwolf.eu.auth0.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources","read_reports":"allows reading reports"}}},"scopes":["write"],"schemeName":"application"},"schema":{"title":"OAuth2 Auth","type":"string","isRequired":true,"description":"The access token received from the authorization server in the OAuth 2.0 flow.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"application","name":"Authorization"}],"title":"application"}]},"originalFileLocation":"reference/openapi.json"},"subdomain":"techwolf","siteName":"TechWolf Developer Portal","title":"Bulk Accept or Reject Job Architecture Suggestions - TechWolf Developer Portal","navMaps":{"firstHrefInVersion":{"latest":{"href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions","matchLevel":0}},"firstHrefInLanguage":{}},"lastModified":"2026-03-24T14:54:59.139Z","originalFileLocation":"reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Accept or reject multiple suggestions in a single request. Use the category query parameter to choose between skill suggestions (default) and task suggestions. Skill suggestions (category=skills): When a skill suggestion is accepted, the corresponding change is applied to the job\u0026#x27;s governed skill profile: - add_job_skill: Adds the skill to the job\u0026#x27;s skill profile with validation_state: validated - remove_job_skill: Marks the skill as rejected on the job\u0026#x27;s skill profile - set_job_skill_proficiency: Updates the skill\u0026#x27;s proficiency level - set_job_skill_criticality: Updates the skill\u0026#x27;s critical flag Task suggestions (category=tasks): When a task suggestion is accepted, the task is added to the job\u0026#x27;s task profile: - add_job_task: Adds the task to the job\u0026#x27;s task profile The data.weekly_hours field is required for all task suggestion interactions. Side Effects (skill suggestions only): - Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically accept the corresponding add_job_skill suggestion for the same skill if it exists. Overriding Values (skill suggestions only): - When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different proficiency_level in the data field to override the suggested value. - When accepting a set_job_skill_criticality suggestion, you can optionally provide a different critical value in the data field to override the suggested value.\">\u003cmeta data-mint-head name=\"application-name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Bulk Accept or Reject Job Architecture Suggestions - TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:description\" content=\"Accept or reject multiple suggestions in a single request. Use the category query parameter to choose between skill suggestions (default) and task suggestions. Skill suggestions (category=skills): When a skill suggestion is accepted, the corresponding change is applied to the job\u0026#x27;s governed skill profile: - add_job_skill: Adds the skill to the job\u0026#x27;s skill profile with validation_state: validated - remove_job_skill: Marks the skill as rejected on the job\u0026#x27;s skill profile - set_job_skill_proficiency: Updates the skill\u0026#x27;s proficiency level - set_job_skill_criticality: Updates the skill\u0026#x27;s critical flag Task suggestions (category=tasks): When a task suggestion is accepted, the task is added to the job\u0026#x27;s task profile: - add_job_task: Adds the task to the job\u0026#x27;s task profile The data.weekly_hours field is required for all task suggestion interactions. Side Effects (skill suggestions only): - Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically accept the corresponding add_job_skill suggestion for the same skill if it exists. Overriding Values (skill suggestions only): - When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different proficiency_level in the data field to override the suggested value. - When accepting a set_job_skill_criticality suggestion, you can optionally provide a different critical value in the data field to override the suggested value.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://techwolf.mintlify.app/_mintlify/api/og/v2?division=Suggestions\u0026amp;title=Bulk+Accept+or+Reject+Job+Architecture+Suggestions\u0026amp;description=Accept+or+reject+multiple+suggestions+in+a+single+request.%0A%0AUse+the+%60category%60+query+parameter+to+choose+between+skill+suggestions+%28default%29+and+task+suggestion\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=cdc411f53044330b68c71d5e2da21d031c78df2c6be3d9393381c9205eb6e8a9\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Bulk Accept or Reject Job Architecture Suggestions - TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Accept or reject multiple suggestions in a single request. Use the category query parameter to choose between skill suggestions (default) and task suggestions. Skill suggestions (category=skills): When a skill suggestion is accepted, the corresponding change is applied to the job\u0026#x27;s governed skill profile: - add_job_skill: Adds the skill to the job\u0026#x27;s skill profile with validation_state: validated - remove_job_skill: Marks the skill as rejected on the job\u0026#x27;s skill profile - set_job_skill_proficiency: Updates the skill\u0026#x27;s proficiency level - set_job_skill_criticality: Updates the skill\u0026#x27;s critical flag Task suggestions (category=tasks): When a task suggestion is accepted, the task is added to the job\u0026#x27;s task profile: - add_job_task: Adds the task to the job\u0026#x27;s task profile The data.weekly_hours field is required for all task suggestion interactions. Side Effects (skill suggestions only): - Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically accept the corresponding add_job_skill suggestion for the same skill if it exists. Overriding Values (skill suggestions only): - When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different proficiency_level in the data field to override the suggested value. - When accepting a set_job_skill_criticality suggestion, you can optionally provide a different critical value in the data field to override the suggested value.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://techwolf.mintlify.app/_mintlify/api/og/v2?division=Suggestions\u0026amp;title=Bulk+Accept+or+Reject+Job+Architecture+Suggestions\u0026amp;description=Accept+or+reject+multiple+suggestions+in+a+single+request.%0A%0AUse+the+%60category%60+query+parameter+to+choose+between+skill+suggestions+%28default%29+and+task+suggestion\u0026amp;theme=85ae84f5920bc5282ea03928\u0026amp;signature=cdc411f53044330b68c71d5e2da21d031c78df2c6be3d9393381c9205eb6e8a9\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/techwolf/Lf66MexGoHiNX4jC/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"TechWolf Developer Portal\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#000000\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.techwolf.ai/#organization\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/techwolf/0_twKXAYhPjxNw-G/logo/logo-light.svg?fit=max\u0026auto=format\u0026n=0_twKXAYhPjxNw-G\u0026q=85\u0026s=cf37edb6f69a1663ed15c7112643daf9\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.techwolf.ai#website\",\"name\":\"TechWolf Developer Portal\",\"url\":\"https://developers.techwolf.ai\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions#webpage\",\"url\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions\",\"name\":\"Bulk Accept or Reject Job Architecture Suggestions\",\"description\":\"Accept or reject multiple suggestions in a single request. Use the category query parameter to choose between skill suggestions (default) and task suggestions. Skill suggestions (category=skills): When a skill suggestion is accepted, the corresponding change is applied to the job's governed skill profile: - add_job_skill: Adds the skill to the job's skill profile with validation_state: validated - remove_job_skill: Marks the skill as rejected on the job's skill profile - set_job_skill_proficiency: Updates the skill's proficiency level - set_job_skill_criticality: Updates the skill's critical flag Task suggestions (category=tasks): When a task suggestion is accepted, the task is added to the job's task profile: - add_job_task: Adds the task to the job's task profile The data.weekly_hours field is required for all task suggestion interactions. Side Effects (skill suggestions only): - Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically accept the corresponding add_job_skill suggestion for the same skill if it exists. Overriding Values (skill suggestions only): - When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different proficiency_level in the data field to override the suggested value. - When accepting a set_job_skill_criticality suggestion, you can optionally provide a different critical value in the data field to override the suggested value.\",\"dateModified\":\"2026-03-24T14:54:59.139Z\",\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"},\"breadcrumb\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Jobs\",\"item\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobCRUD/overview\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Suggestions\",\"item\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/overview\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Bulk Accept or Reject Job Architecture Suggestions\",\"item\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions#apireference\",\"headline\":\"Bulk Accept or Reject Job Architecture Suggestions\",\"name\":\"Bulk Accept or Reject Job Architecture Suggestions\",\"description\":\"Accept or reject multiple suggestions in a single request. Use the category query parameter to choose between skill suggestions (default) and task suggestions. Skill suggestions (category=skills): When a skill suggestion is accepted, the corresponding change is applied to the job's governed skill profile: - add_job_skill: Adds the skill to the job's skill profile with validation_state: validated - remove_job_skill: Marks the skill as rejected on the job's skill profile - set_job_skill_proficiency: Updates the skill's proficiency level - set_job_skill_criticality: Updates the skill's critical flag Task suggestions (category=tasks): When a task suggestion is accepted, the task is added to the job's task profile: - add_job_task: Adds the task to the job's task profile The data.weekly_hours field is required for all task suggestion interactions. Side Effects (skill suggestions only): - Accepting a set_job_skill_proficiency or set_job_skill_criticality suggestion will automatically accept the corresponding add_job_skill suggestion for the same skill if it exists. Overriding Values (skill suggestions only): - When accepting a set_job_skill_proficiency suggestion, you can optionally provide a different proficiency_level in the data field to override the suggested value. - When accepting a set_job_skill_criticality suggestion, you can optionally provide a different critical value in the data field to override the suggested value.\",\"url\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions\",\"mainEntityOfPage\":{\"@id\":\"https://developers.techwolf.ai/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions#webpage\"},\"dateModified\":\"2026-03-24T14:54:59.139Z\",\"publisher\":{\"@id\":\"https://developers.techwolf.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.techwolf.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"TechWolf Developer Portal\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"TechWolf Developer Portal","nav":{"global":null,"versions":[{"version":"latest","default":true,"tabs":[{"tab":"API Reference","groups":[{"group":"API Documentation","pages":[{"title":"Introduction","href":"/reference/latest/API Documentation/Introduction/Introduction"},{"title":"Authentication","href":"/reference/latest/API Documentation/Authentication/Authentication"}]},{"group":"API Versioning","pages":[{"title":"Versioning Overview","href":"/reference/latest/API Versioning/Versioning Overview/Versioning Overview"},{"title":"Breaking Changes","href":"/reference/latest/API Versioning/Breaking Changes/Breaking Changes"},{"title":"Deprecations","href":"/reference/latest/API Versioning/Deprecations/Deprecations"},{"title":"Compatible Changes","href":"/reference/latest/API Versioning/Compatible Changes/Compatible Changes"}]},{"group":"AI Integration","pages":[{"title":"AI Integration","href":"/reference/ai-integration"}]},{"group":"Taxonomy","pages":[{"group":"Domains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomyDomains/overview"},{"title":"List Domains","openapi":"GET /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains"},{"title":"Create Domain","openapi":"POST /taxonomy/domains","href":"/reference/latest/Taxonomy/TaxonomyDomains/post-taxonomy-domains"},{"title":"Get Domain","openapi":"GET /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/get-taxonomy-domains-domain-external-id"},{"title":"Update Domain","openapi":"PATCH /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/patch-taxonomy-domains-domain-external-id"},{"title":"Delete Domain","openapi":"DELETE /taxonomy/domains/{domain_external_id}","href":"/reference/latest/Taxonomy/TaxonomyDomains/delete-taxonomy-domains-domain-external-id"}]},{"group":"Subdomains","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySubdomains/overview"},{"title":"List Subdomains","openapi":"GET /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains"},{"title":"Create Subdomain","openapi":"POST /taxonomy/subdomains","href":"/reference/latest/Taxonomy/TaxonomySubdomains/post-taxonomy-subdomains"},{"title":"Get Subdomain","openapi":"GET /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/get-taxonomy-subdomains-subdomain-external-id"},{"title":"Update Subdomain","openapi":"PATCH /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/patch-taxonomy-subdomains-subdomain-external-id"},{"title":"Delete Subdomain","openapi":"DELETE /taxonomy/subdomains/{subdomain_external_id}","href":"/reference/latest/Taxonomy/TaxonomySubdomains/delete-taxonomy-subdomains-subdomain-external-id"}]},{"group":"Skill Clusters","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/overview"},{"title":"List Skill Clusters","openapi":"GET /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters"},{"title":"Create Skill Cluster","openapi":"POST /taxonomy/skill_clusters","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/post-taxonomy-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Update Skill Cluster","openapi":"PATCH /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/patch-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"Delete Skill Cluster","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id"},{"title":"List Skills","openapi":"GET /taxonomy/skill_clusters/{skill_cluster_external_id}/skills","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/get-taxonomy-skill-clusters-skill-cluster-external-id-skills"},{"title":"Add Skill","openapi":"PUT /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/put-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"},{"title":"Remove Skill","openapi":"DELETE /taxonomy/skill_clusters/{skill_cluster_external_id}/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkillClusters/delete-taxonomy-skill-clusters-skill-cluster-external-id-skills-skill-id"}]},{"group":"Skills","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/TaxonomySkills/overview"},{"title":"List Skills","openapi":"GET /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills"},{"title":"Create Skill","openapi":"POST /taxonomy/skills","href":"/reference/latest/Taxonomy/TaxonomySkills/post-taxonomy-skills"},{"title":"List available Skill languages","openapi":"GET /taxonomy/skills/languages","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-languages"},{"title":"Get Skill","openapi":"GET /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/get-taxonomy-skills-skill-id"},{"title":"Delete Skill","openapi":"DELETE /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/delete-taxonomy-skills-skill-id"},{"title":"Update Skill","openapi":"PATCH /taxonomy/skills/{skill_id}","href":"/reference/latest/Taxonomy/TaxonomySkills/patch-taxonomy-skills-skill-id"}]},{"group":"Taxonomy operations","pages":[{"title":"Overview","href":"/reference/latest/Taxonomy/Taxonomy/overview"},{"title":"Get Taxonomy changes","openapi":"GET /taxonomy/changes","deprecated":true,"href":"/reference/latest/Taxonomy/Taxonomy/get-taxonomy-changes"},{"title":"Apply Taxonomy changes","openapi":"POST /taxonomy/apply","href":"/reference/latest/Taxonomy/Taxonomy/post-taxonomy-apply"}]}]},{"group":"Employees","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeCRUD/overview"},{"title":"List Employees","openapi":"GET /employees","href":"/reference/latest/Employees/EmployeeCRUD/get-employees"},{"title":"Create Employee","openapi":"POST /employees","href":"/reference/latest/Employees/EmployeeCRUD/post-employees"},{"title":"Get Employee","openapi":"GET /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/get-employees-external-id"},{"title":"Update Employee","openapi":"PATCH /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/patch-employees-external-id"},{"title":"Delete Employee","openapi":"DELETE /employees/{external_id}","href":"/reference/latest/Employees/EmployeeCRUD/delete-employees-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for an Employee","openapi":"GET /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/get-employees-external-id-skill-profile"},{"title":"Partially update an Employee Skill Profile with feedback","openapi":"PATCH /employees/{external_id}/skill_profile","href":"/reference/latest/Employees/EmployeeProfile/patch-employees-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeMetrics/overview"},{"title":"Get Employee count","openapi":"GET /employees/metrics/count","href":"/reference/latest/Employees/EmployeeMetrics/get-employees-metrics-count"},{"title":"Get Employee adoption metrics","openapi":"POST /employees/metrics/adoption_metrics","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-metrics-adoption-metrics"},{"title":"Get the employability metric using filters and weights","openapi":"POST /employees/{external_id}/metrics/employability","href":"/reference/latest/Employees/EmployeeMetrics/post-employees-external-id-metrics-employability"}]},{"group":"Search","pages":[{"title":"Search for Employees based on free text","openapi":"POST /employees/search","href":"/reference/latest/Employees/EmployeeSearch/post-employees-search"}]},{"group":"Skill Events","pages":[{"title":"Overview","href":"/reference/latest/Employees/SkillEvents/overview"},{"title":"List the Skill Event types","openapi":"GET /skill_event_types","href":"/reference/latest/Employees/SkillEvents/get-skill-event-types"},{"title":"List Skill Events of an Employee by event type","openapi":"GET /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events"},{"title":"Create a new Skill Event for an Employee","openapi":"POST /employees/{employee_external_id}/skill_events","href":"/reference/latest/Employees/SkillEvents/post-employees-employee-external-id-skill-events"},{"title":"Get a Skill Event","openapi":"GET /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/get-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Update Skill Event","openapi":"PATCH /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/patch-employees-employee-external-id-skill-events-skill-event-external-id"},{"title":"Delete Skill Event","openapi":"DELETE /employees/{employee_external_id}/skill_events/{skill_event_external_id}","href":"/reference/latest/Employees/SkillEvents/delete-employees-employee-external-id-skill-events-skill-event-external-id"}]},{"group":"Interactions","pages":[{"title":"Overview","href":"/reference/latest/Employees/EmployeeInteractions/overview"},{"title":"List Interactions of an Employee","openapi":"GET /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions"},{"title":"Create a new Interaction for an Employee","openapi":"POST /employees/{employee_external_id}/interactions","href":"/reference/latest/Employees/EmployeeInteractions/post-employees-employee-external-id-interactions"},{"title":"Get Employee Interaction","openapi":"GET /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/get-employees-employee-external-id-interactions-interaction-external-id"},{"title":"Delete Employee Interaction","openapi":"DELETE /employees/{employee_external_id}/interactions/{interaction_external_id}","href":"/reference/latest/Employees/EmployeeInteractions/delete-employees-employee-external-id-interactions-interaction-external-id"}]},{"group":"Suggestions","pages":[{"title":"Get suggestions, validated and rejected Skills for selected Employees","openapi":"POST /employees/suggestions/skills","href":"/reference/latest/Employees/EmployeeSuggestions/post-employees-suggestions-skills"}]}]},{"group":"Job Families","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Job Families/JobFamilyCRUD/overview"},{"title":"List Job Families","openapi":"GET /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families"},{"title":"Create Job Family","openapi":"POST /job_architecture/job_families","href":"/reference/latest/Job Families/JobFamilyCRUD/post-job-architecture-job-families"},{"title":"Get Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/get-job-architecture-job-families-job-family-external-id"},{"title":"Update Job Family","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/patch-job-architecture-job-families-job-family-external-id"},{"title":"Delete Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}","href":"/reference/latest/Job Families/JobFamilyCRUD/delete-job-architecture-job-families-job-family-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Partially update a Job Family Skill Profile with feedback","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/skill_profile","href":"/reference/latest/Job Families/JobFamilyProfile/patch-job-architecture-job-families-job-family-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job Family","openapi":"GET /job_architecture/job_families/{job_family_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Job Families/JobFamilyProfile/get-job-architecture-job-families-job-family-external-id-suggested-skill-profile"}]},{"group":"Job Family Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Job Families/Job Family Profile Data/overview"},{"title":"List Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Create Job Family Profile Data for a Job Family","openapi":"POST /job_architecture/job_families/{job_family_external_id}/profile_data","href":"/reference/latest/Job Families/Job Family Profile Data/post-job-architecture-job-families-job-family-external-id-profile-data"},{"title":"Get Job Family Profile Data","openapi":"GET /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/get-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Update Job Family Profile Data","openapi":"PATCH /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/patch-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"},{"title":"Delete Job Family Profile Data for a Job Family","openapi":"DELETE /job_architecture/job_families/{job_family_external_id}/profile_data/{job_family_profile_data_external_id}","href":"/reference/latest/Job Families/Job Family Profile Data/delete-job-architecture-job-families-job-family-external-id-profile-data-job-family-profile-data-external-id"}]}]},{"group":"Jobs","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobCRUD/overview"},{"title":"List Jobs","openapi":"GET /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs"},{"title":"Create Job","openapi":"POST /job_architecture/jobs","href":"/reference/latest/Jobs/JobCRUD/post-job-architecture-jobs"},{"title":"Get Job","openapi":"GET /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/get-job-architecture-jobs-job-external-id"},{"title":"Update Job","openapi":"PATCH /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/patch-job-architecture-jobs-job-external-id"},{"title":"Delete Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}","href":"/reference/latest/Jobs/JobCRUD/delete-job-architecture-jobs-job-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Partially update a Job Skill Profile with feedback","openapi":"PATCH /job_architecture/jobs/{job_external_id}/skill_profile","href":"/reference/latest/Jobs/JobProfile/patch-job-architecture-jobs-job-external-id-skill-profile"},{"title":"Get the suggested Skill Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/suggested_skill_profile","deprecated":true,"href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-suggested-skill-profile"},{"title":"Get the external market Skill Profiles of a Job.","openapi":"GET /job_architecture/jobs/{job_external_id}/market_skill_profiles","href":"/reference/latest/Jobs/JobProfile/get-job-architecture-jobs-job-external-id-market-skill-profiles"}]},{"group":"Task Profile","pages":[{"title":"Get the Task Profile for a Job","openapi":"GET /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/get-job-architecture-jobs-job-external-id-task-profile"},{"title":"Provide feedback on tasks in a Job's Task Profile","openapi":"PATCH /job_architecture/jobs/{job_external_id}/task_profile","href":"/reference/latest/Jobs/JobTaskProfile/patch-job-architecture-jobs-job-external-id-task-profile"}]},{"group":"Job Profile Data","pages":[{"title":"Overview","href":"/reference/latest/Jobs/Job Profile Data/overview"},{"title":"List Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data"},{"title":"Create Job Profile Data for a Job","openapi":"POST /job_architecture/jobs/{job_external_id}/profile_data","href":"/reference/latest/Jobs/Job Profile Data/post-job-architecture-jobs-job-external-id-profile-data"},{"title":"Get Job Profile Data","openapi":"GET /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/get-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Update Job Profile Data","openapi":"PATCH /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/patch-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"},{"title":"Delete Job Profile Data for a Job","openapi":"DELETE /job_architecture/jobs/{job_external_id}/profile_data/{job_profile_data_external_id}","href":"/reference/latest/Jobs/Job Profile Data/delete-job-architecture-jobs-job-external-id-profile-data-job-profile-data-external-id"}]},{"group":"Issues","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobIssues/overview"},{"title":"List Job Issues","openapi":"GET /job_architecture/issues","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues"},{"title":"Job Issue Summary","openapi":"GET /job_architecture/issues/summary","href":"/reference/latest/Jobs/JobIssues/get-job-architecture-issues-summary"}]},{"group":"Changes","pages":[{"title":"Overview","href":"/reference/latest/Jobs/JobChanges/overview"},{"title":"List Job Architecture Changes","openapi":"GET /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes"},{"title":"Bulk generate Job changes","openapi":"POST /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes"},{"title":"Bulk Update Job Architecture Changes","openapi":"PATCH /job_architecture/changes","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes"},{"title":"Generate preview Job change","openapi":"POST /job_architecture/changes/preview","href":"/reference/latest/Jobs/JobChanges/post-job-architecture-changes-preview"},{"title":"Get Job Architecture Changes Summary","openapi":"GET /job_architecture/changes/summary","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-summary"},{"title":"Get Job Architecture Change Details","openapi":"GET /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/get-job-architecture-changes-change-id"},{"title":"Update Job Architecture Change","openapi":"PATCH /job_architecture/changes/{change_id}","href":"/reference/latest/Jobs/JobChanges/patch-job-architecture-changes-change-id"}]},{"group":"Suggestions","pages":[{"title":"Overview","description":null,"href":"/reference/latest/Jobs/JobSuggestions/overview"},{"title":"Bulk Accept or Reject Job Architecture Suggestions","openapi":"POST /job_architecture/suggestions/interactions","href":"/reference/latest/Jobs/JobSuggestions/post-job-architecture-suggestions-interactions"}]},{"group":"Metrics","pages":[{"title":"Overview","description":null,"href":"/reference/latest/Jobs/JobMetrics/overview"},{"title":"Get Job adoption metrics","openapi":"POST /job_architecture/jobs/metrics/adoption_metrics","href":"/reference/latest/Jobs/JobMetrics/post-job-architecture-jobs-metrics-adoption-metrics"}]}]},{"group":"Peer Groups","pages":[{"group":"Peer Groups","pages":[{"title":"Overview","href":"/reference/latest/Peer Groups/PeerGroups/overview"},{"title":"List Peer Groups","openapi":"GET /job_architecture/peer_groups","href":"/reference/latest/Peer Groups/PeerGroups/get-job-architecture-peer-groups"}]}]},{"group":"Vacancies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyCRUD/overview"},{"title":"List Vacancies","openapi":"GET /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies"},{"title":"Create Vacancy","openapi":"POST /vacancies","href":"/reference/latest/Vacancies/VacancyCRUD/post-vacancies"},{"title":"Get Vacancy","openapi":"GET /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/get-vacancies-external-id"},{"title":"Update Vacancy","openapi":"PATCH /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/patch-vacancies-external-id"},{"title":"Delete Vacancy","openapi":"DELETE /vacancies/{external_id}","href":"/reference/latest/Vacancies/VacancyCRUD/delete-vacancies-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Vacancy","openapi":"GET /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/get-vacancies-external-id-skill-profile"},{"title":"Update a Vacancy Skill Profile with feedback","openapi":"PATCH /vacancies/{external_id}/skill_profile","href":"/reference/latest/Vacancies/VacancyProfile/patch-vacancies-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Vacancies/VacancyMetrics/overview"},{"title":"Get Vacancy count","openapi":"GET /vacancies/metrics/count","href":"/reference/latest/Vacancies/VacancyMetrics/get-vacancies-metrics-count"}]},{"group":"Search","pages":[{"title":"Search for Vacancies based on free text","openapi":"POST /vacanies/search","href":"/reference/latest/Vacancies/VacancySearch/post-vacanies-search"}]}]},{"group":"Courses","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseCRUD/overview"},{"title":"List Courses","openapi":"GET /courses","href":"/reference/latest/Courses/CourseCRUD/get-courses"},{"title":"Create Course","openapi":"POST /courses","href":"/reference/latest/Courses/CourseCRUD/post-courses"},{"title":"Get Course","openapi":"GET /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/get-courses-external-id"},{"title":"Update Course","openapi":"PATCH /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/patch-courses-external-id"},{"title":"Delete Course","openapi":"DELETE /courses/{external_id}","href":"/reference/latest/Courses/CourseCRUD/delete-courses-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Course","openapi":"GET /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/get-courses-external-id-skill-profile"},{"title":"Update a Course Skill Profile with feedback","openapi":"PATCH /courses/{external_id}/skill_profile","href":"/reference/latest/Courses/CourseProfile/patch-courses-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Courses/CourseMetrics/overview"},{"title":"Get Course count","openapi":"GET /courses/metrics/count","href":"/reference/latest/Courses/CourseMetrics/get-courses-metrics-count"}]}]},{"group":"Skill Clusters","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterCRUD/overview"},{"title":"List Skill Clusters","openapi":"GET /skill_clusters","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters"},{"title":"Get Skill Cluster","openapi":"GET /skill_clusters/{external_id}","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterCRUD/get-skill-clusters-external-id"}]},{"group":"Skill Profile","pages":[{"title":"Get the Skill Profile for a Skill Cluster","openapi":"GET /skill_clusters/{external_id}/skill_profile","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterProfile/get-skill-clusters-external-id-skill-profile"}]},{"group":"Metrics","pages":[{"title":"Overview","href":"/reference/latest/Skill Clusters/SkillClusterMetrics/overview"},{"title":"Get Skill Cluster count","openapi":"GET /skill_clusters/metrics/count","deprecated":true,"href":"/reference/latest/Skill Clusters/SkillClusterMetrics/get-skill-clusters-metrics-count"}]}]},{"group":"External Companies","pages":[{"group":"CRUD","pages":[{"title":"Overview","href":"/reference/latest/External Companies/CompanyCRUD/overview"},{"title":"List External Companies","openapi":"GET /companies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies"},{"title":"Create External Company","openapi":"POST /companies","href":"/reference/latest/External Companies/CompanyCRUD/post-companies"},{"title":"Get External Company","openapi":"GET /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id"},{"title":"Update External Company","openapi":"PATCH /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/patch-companies-external-id"},{"title":"Delete External Company","openapi":"DELETE /companies/{external_id}","href":"/reference/latest/External Companies/CompanyCRUD/delete-companies-external-id"},{"title":"List External Company's Vacancies","openapi":"GET /companies/{external_id}/vacancies","href":"/reference/latest/External Companies/CompanyCRUD/get-companies-external-id-vacancies"},{"title":"Upload and add desired functions","openapi":"POST /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-desired-functions"},{"title":"Replace existing desired functions","openapi":"PUT /companies/{external_id}/desired_functions","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-desired-functions"},{"title":"Profile External Company's hiring activity with NACE-codes","openapi":"POST /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/post-companies-external-id-nace"},{"title":"Reprofile External Company's hiring activity with NACE-codes","openapi":"PUT /companies/{external_id}/nace","href":"/reference/latest/External Companies/CompanyCRUD/put-companies-external-id-nace"}]},{"group":"Search","pages":[{"title":"Search for External Companies based on free text","openapi":"POST /companies/search","href":"/reference/latest/External Companies/CompanySearch/post-companies-search"}]}]},{"group":"Skills","pages":[{"group":"Skill Search","pages":[{"title":"Search for Skills similar to the text provided","openapi":"GET /skills/search","href":"/reference/latest/Skills/Skill Search/get-skills-search"}]},{"group":"Skill Gaps","pages":[{"title":"Get the Skillgap between an Employee and a Vacancy","openapi":"GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/gap","href":"/reference/latest/Skills/Skill Gaps/get-employees-employee-external-id-vacancies-vacancy-external-id-gap"}]},{"group":"Skill Lookup","pages":[{"title":"Look up the Skill IDs of a list of Skill names","openapi":"POST /skills/lookup","href":"/reference/latest/Skills/Skill Lookup/post-skills-lookup"}]}]},{"group":"Tasks","pages":[{"group":"CRUD","pages":[{"title":"Create a custom task","openapi":"POST /tasks","href":"/reference/latest/Tasks/TasksCRUD/post-tasks"},{"title":"Get a Task","openapi":"GET /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/get-tasks-task-id"},{"title":"Delete a custom Task","openapi":"DELETE /tasks/{task_id}","href":"/reference/latest/Tasks/TasksCRUD/delete-tasks-task-id"}]},{"group":"Task search","pages":[{"title":"Search Tasks","openapi":"GET /tasks/search","href":"/reference/latest/Tasks/TaskSearch/get-tasks-search"}]},{"group":"Task validation","pages":[{"title":"Validate Tasks","openapi":"POST /tasks/validate","href":"/reference/latest/Tasks/TaskValidation/post-tasks-validate"}]}]},{"group":"Organisational Structure","pages":[{"group":"Organisational Units","pages":[{"title":"Overview","href":"/reference/latest/Organisational Structure/OrganisationalUnits/overview"},{"title":"List Organisational Units","openapi":"GET /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units"},{"title":"Create Organisational Unit","openapi":"POST /organisational_units","href":"/reference/latest/Organisational Structure/OrganisationalUnits/post-organisational-units"},{"title":"Get Organisational Unit","openapi":"GET /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/get-organisational-units-external-id"},{"title":"Update Organisational Unit","openapi":"PATCH /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/patch-organisational-units-external-id"},{"title":"Delete Organisational Unit","openapi":"DELETE /organisational_units/{external_id}","href":"/reference/latest/Organisational Structure/OrganisationalUnits/delete-organisational-units-external-id"}]}]},{"group":"Custom Properties","pages":[{"group":"Definitions","pages":[{"title":"Overview","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/overview"},{"title":"Get all Custom Property Definitions","openapi":"GET /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties"},{"title":"Create a Custom Property Definition","openapi":"POST /{entity_type}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/post-entity-type-custom-properties"},{"title":"Get Custom Property Definition","openapi":"GET /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/get-entity-type-custom-properties-property-name"},{"title":"Rename a Custom Property Definition","openapi":"PATCH /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/patch-entity-type-custom-properties-property-name"},{"title":"Remove a Custom Property Definition from the system","openapi":"DELETE /{entity_type}/custom_properties/{property_name}","href":"/reference/latest/Custom Properties/CustomPropertiesDefinitions/delete-entity-type-custom-properties-property-name"}]},{"group":"Properties","pages":[{"title":"Retrieve all Custom Properties of an entity","openapi":"GET /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/get-entity-type-entity-type-external-id-custom-properties"},{"title":"Update Custom Properties of an entity","openapi":"PATCH /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/patch-entity-type-entity-type-external-id-custom-properties"},{"title":"Replace Custom Properties of an entity","openapi":"PUT /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/put-entity-type-entity-type-external-id-custom-properties"},{"title":"Delete all Custom Properties of an entity","openapi":"DELETE /{entity_type}/{entity_type_external_id}/custom_properties","href":"/reference/latest/Custom Properties/CustomPropertiesProperties/delete-entity-type-entity-type-external-id-custom-properties"}]}]},{"group":"Matchmaking","pages":[{"group":"Vacancy Matching","pages":[{"title":"Overview","href":"/reference/latest/Matchmaking/Vacancy Matching/overview"},{"title":"Get the top matching Vacancies for an Employee","openapi":"POST /employees/{external_id}/matching_vacancies","href":"/reference/latest/Matchmaking/Vacancy Matching/post-employees-external-id-matching-vacancies"},{"title":"Get the match score between an Employee and a Vacancy","openapi":"GET /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match","href":"/reference/latest/Matchmaking/Vacancy Matching/get-employees-employee-external-id-vacancies-vacancy-external-id-match"},{"title":"Get the top matching Employees for a Vacancy.","openapi":"POST /vacancies/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Vacancy Matching/post-vacancies-external-id-matching-employees"}]},{"group":"Course Recommendations","pages":[{"title":"Get Course recommendations to improve the Skill Profile of an Employee","openapi":"GET /employees/{employee_external_id}/recommended_courses","deprecated":true,"href":"/reference/latest/Matchmaking/Course Recommendations/get-employees-employee-external-id-recommended-courses"},{"title":"Get Course recommendations to improve the Skill Profile of an Employee","openapi":"POST /employees/{employee_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-recommended-courses"},{"title":"Get Course recommendations to bridge the Skill gap between an Employee and a Vacancy","openapi":"POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-vacancies-vacancy-external-id-recommended-courses"},{"title":"Get Course recommendations to bridge the Skill gap between an Employee and a Job","openapi":"POST /employees/{employee_external_id}/jobs/{job_external_id}/recommended_courses","href":"/reference/latest/Matchmaking/Course Recommendations/post-employees-employee-external-id-jobs-job-external-id-recommended-courses"}]},{"group":"External Company Matching","pages":[{"title":"Find the best Employees for a given External Company","openapi":"POST /companies/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/External Company Matching/post-companies-external-id-matching-employees"},{"title":"Find the best External Companies for a given Employee","openapi":"POST /employees/{external_id}/matching_companies","href":"/reference/latest/Matchmaking/External Company Matching/post-employees-external-id-matching-companies"}]},{"group":"Job Matching","pages":[{"title":"Get the match score between an Employee and their assigned position","openapi":"GET /employees/{employee_external_id}/match_assigned_position","href":"/reference/latest/Matchmaking/Job Matching/get-employees-employee-external-id-match-assigned-position"},{"title":"Get the match scores between a Job and its market Skill Profiles","openapi":"GET /job_architecture/jobs/{external_id}/market_alignment","href":"/reference/latest/Matchmaking/Job Matching/get-job-architecture-jobs-external-id-market-alignment"},{"title":"Get the match score between an Employee and a Job","openapi":"GET /employees/{employee_external_id}/jobs/{job_external_id}/match","href":"/reference/latest/Matchmaking/Job Matching/get-employees-employee-external-id-jobs-job-external-id-match"},{"title":"Get the top matching Jobs for an Employee","openapi":"POST /employees/{external_id}/matching_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-employees-external-id-matching-jobs"},{"title":"Get the top matching Employees for a Job","openapi":"POST /job_architecture/jobs/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-employees"},{"title":"Get the most relevant jobs from which can be hired for the given job.","openapi":"POST /job_architecture/jobs/{external_id}/matching_source_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-source-jobs"},{"title":"Get the most relevant jobs to which can be moved from the given job.","openapi":"POST /job_architecture/jobs/{external_id}/matching_target_jobs","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-external-id-matching-target-jobs"},{"title":"Get the task-based match score between two Jobs","openapi":"GET /job_architecture/jobs/{job_external_id}/jobs/{other_job_external_id}/task_match","href":"/reference/latest/Matchmaking/Job Matching/get-job-architecture-jobs-job-external-id-jobs-other-job-external-id-task-match"},{"title":"Get the most task-relevant Jobs to the given Job","openapi":"POST /job_architecture/jobs/{job_external_id}/matching_jobs_by_tasks","href":"/reference/latest/Matchmaking/Job Matching/post-job-architecture-jobs-job-external-id-matching-jobs-by-tasks"}]},{"group":"Job Family Matching","pages":[{"title":"Get the match score between an Employee and a Job Family","openapi":"GET /employees/{employee_external_id}/job_families/{job_family_external_id}/match","href":"/reference/latest/Matchmaking/Job Family Matching/get-employees-employee-external-id-job-families-job-family-external-id-match"},{"title":"Get the top matching Job Families for an Employee","openapi":"POST /employees/{external_id}/matching_job_families","href":"/reference/latest/Matchmaking/Job Family Matching/post-employees-external-id-matching-job-families"},{"title":"Get the top matching Employees for a Job Family","openapi":"POST /job_architecture/job_families/{external_id}/matching_employees","href":"/reference/latest/Matchmaking/Job Family Matching/post-job-architecture-job-families-external-id-matching-employees"},{"title":"Get the task-based match score between two Job Families","openapi":"GET /job_architecture/job_families/{job_family_external_id}/job_families/{other_job_family_external_id}/task_match","href":"/reference/latest/Matchmaking/Job Family Matching/get-job-architecture-job-families-job-family-external-id-job-families-other-job-family-external-id-task-match"},{"title":"Get the most task-relevant Job Families to the given Job Family","openapi":"POST /job_architecture/job_families/{job_family_external_id}/matching_job_families_by_tasks","href":"/reference/latest/Matchmaking/Job Family Matching/post-job-architecture-job-families-job-family-external-id-matching-job-families-by-tasks"}]},{"group":"Task Matching","pages":[{"title":"Get the task-based match score between two task sets","openapi":"POST /tasks/matching","href":"/reference/latest/Matchmaking/Task Matching/post-tasks-matching"}]},{"group":"Match Feedback","pages":[{"title":"Give feedback on the match between an Employee and a Vacancy","openapi":"POST /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/post-employees-employee-external-id-vacancies-vacancy-external-id-match-feedback"},{"title":"Delete feedback on the match between an Employee and a Vacancy","openapi":"DELETE /employees/{employee_external_id}/vacancies/{vacancy_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/delete-employees-employee-external-id-vacancies-vacancy-external-id-match-feedback"},{"title":"Give feedback on the recommendation of a Course for an Employee.","openapi":"POST /employees/{employee_external_id}/courses/{course_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/post-employees-employee-external-id-courses-course-external-id-match-feedback"},{"title":"Delete feedback on the match between an Employee and a Course","openapi":"DELETE /employees/{employee_external_id}/courses/{course_external_id}/match_feedback","href":"/reference/latest/Matchmaking/Match Feedback/delete-employees-employee-external-id-courses-course-external-id-match-feedback"}]},{"group":"Export Matching","pages":[{"title":"Export top matching Vacancies for Employees.","openapi":"POST /export/employees/matching_vacancies","href":"/reference/latest/Matchmaking/Export Matching/post-export-employees-matching-vacancies"},{"title":"Export top matching Employees for Vacancies.","openapi":"POST /export/vacancies/matching_employees","href":"/reference/latest/Matchmaking/Export Matching/post-export-vacancies-matching-employees"},{"title":"Export top matching Jobs for Employees.","openapi":"POST /export/employees/matching_jobs","href":"/reference/latest/Matchmaking/Export Matching/post-export-employees-matching-jobs"},{"title":"Export top matching Employees for Jobs.","openapi":"POST /job_architecture/export/jobs/matching_employees","href":"/reference/latest/Matchmaking/Export Matching/post-job-architecture-export-jobs-matching-employees"}]}]},{"group":"Matching Configuration","pages":[{"title":"Filters","href":"/reference/latest/Matching Configuration/Filters/Filters"}]},{"group":"Export","pages":[{"group":"Employees","pages":[{"title":"Overview","href":"/reference/latest/Export/ExportEmployeesSkillClusters/overview"},{"title":"Export Employee Skill Clusters data.","openapi":"POST /export/employees/skill_clusters","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-skill-clusters"},{"title":"Export Employee Skill Profile data","openapi":"POST /export/employees/skill_profiles","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-skill-profiles"},{"title":"Export Employee Task Profile data","openapi":"POST /export/employees/task_profiles","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-task-profiles"},{"title":"Export Employee AI Goals","openapi":"POST /export/employees/ai_goals","href":"/reference/latest/Export/ExportEmployeesSkillClusters/post-export-employees-ai-goals"}]},{"group":"Job Architecture","pages":[{"title":"Overview","href":"/reference/latest/Export/JobArchitectureExport/overview"},{"title":"Export Job Architecture hierarchy","openapi":"GET /job_architecture/export","href":"/reference/latest/Export/JobArchitectureExport/get-job-architecture-export"},{"title":"Export Job Skill Clusters data.","openapi":"POST /job_architecture/export/jobs/skill_clusters","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-skill-clusters"},{"title":"Export Job Skill Profiles.","openapi":"POST /job_architecture/export/jobs/skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-skill-profiles"},{"title":"Export Job Task Profile data","openapi":"POST /job_architecture/export/jobs/task_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-task-profiles"},{"title":"Export Job Suggested Skill Profiles.","openapi":"POST /job_architecture/export/jobs/suggested_skill_profiles","deprecated":true,"href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-suggested-skill-profiles"},{"title":"Export Job external market Skill Profiles.","openapi":"POST /job_architecture/export/jobs/market_skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-market-skill-profiles"},{"title":"Export Job Skill market alignment.","openapi":"POST /job_architecture/export/jobs/market_alignment","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-jobs-market-alignment"},{"title":"Export Job Family Skill Profiles.","openapi":"POST /job_architecture/export/job_families/skill_profiles","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-job-families-skill-profiles"},{"title":"Export Job Family Suggested Skill Profiles.","openapi":"POST /job_architecture/export/job_families/suggested_skill_profiles","deprecated":true,"href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-job-families-suggested-skill-profiles"},{"title":"Export Job Architecture Suggestions","openapi":"POST /job_architecture/export/suggestions","href":"/reference/latest/Export/JobArchitectureExport/post-job-architecture-export-suggestions"}]},{"group":"Courses","pages":[{"title":"Overview","href":"/reference/latest/Export/CoursesExportSkillProfiles/overview"},{"title":"Export Course Skill Profiles.","openapi":"POST /export/courses/skill_profiles","href":"/reference/latest/Export/CoursesExportSkillProfiles/post-export-courses-skill-profiles"}]},{"group":"Vacancies","pages":[{"title":"Overview","href":"/reference/latest/Export/VacanciesExportSkillProfiles/overview"},{"title":"Export Vacancy Skill Profiles.","openapi":"POST /export/vacancies/skill_profiles","href":"/reference/latest/Export/VacanciesExportSkillProfiles/post-export-vacancies-skill-profiles"}]},{"group":"Employees Assigned Position","pages":[{"title":"Get the match scores between Employees and their assigned position in bulk.","openapi":"POST /export/employees/match_assigned_position","href":"/reference/latest/Export/ExportEmployeeAssignedPosition/post-export-employees-match-assigned-position"}]},{"group":"Taxonomy","pages":[{"title":"Overview","href":"/reference/latest/Export/TaxonomyExport/overview"},{"title":"Export Skill info","openapi":"POST /export/skills","href":"/reference/latest/Export/TaxonomyExport/post-export-skills"},{"title":"Get Taxonomy export","openapi":"GET /taxonomy/export","href":"/reference/latest/Export/TaxonomyExport/get-taxonomy-export"},{"title":"Export Taxonomy changes","openapi":"POST /taxonomy/changes","href":"/reference/latest/Export/TaxonomyExport/post-taxonomy-changes"}]},{"group":"Tasks","pages":[{"title":"Export Tasks","openapi":"POST /export/tasks","href":"/reference/latest/Export/ExportTasks/post-export-tasks"}]},{"group":"Organisational Structure","pages":[{"title":"Export Organisational Structure hierarchy","openapi":"GET /organisational_units/export","href":"/reference/latest/Export/OrganisationalStructureExport/get-organisational-units-export"}]}]},{"group":"Reports","pages":[{"group":"General Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/General Reports/overview"},{"title":"Get entity counts","openapi":"GET /reports/counts","href":"/reference/latest/Reports/General Reports/get-reports-counts"}]},{"group":"Employee Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/Employee Reports/overview"},{"title":"Get the Skill Cluster adoption report","openapi":"POST /reports/employees/skill_cluster_adoption","href":"/reference/latest/Reports/Employee Reports/post-reports-employees-skill-cluster-adoption"},{"title":"Get Employees key metrics","openapi":"GET /reports/employees/key_metrics","href":"/reference/latest/Reports/Employee Reports/get-reports-employees-key-metrics"}]},{"title":"Vacancy Reports","href":"/reference/latest/Reports/Vacancy Reports/Vacancy Reports"},{"group":"Job Reports","pages":[{"title":"Overview","href":"/reference/latest/Reports/Job Reports/overview"},{"title":"Get Jobs key metrics","openapi":"GET /reports/jobs/key_metrics","href":"/reference/latest/Reports/Job Reports/get-reports-jobs-key-metrics"}]},{"group":"Data Maturity Scan","pages":[{"title":"Overview","href":"/reference/latest/Reports/Data Maturity Scan/overview"},{"title":"Get Employee Quality Matrix","openapi":"POST /reports/data_maturity_scan/employee_quality_matrix","href":"/reference/latest/Reports/Data Maturity Scan/post-reports-data-maturity-scan-employee-quality-matrix"},{"title":"Get Job Quality Matrix","openapi":"POST /reports/data_maturity_scan/job_quality_matrix","href":"/reference/latest/Reports/Data Maturity Scan/post-reports-data-maturity-scan-job-quality-matrix"},{"title":"Get Employee Maturity Overview","openapi":"GET /reports/data_maturity_scan/employee_maturity_overview","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-employee-maturity-overview"},{"title":"Get Job Maturity Overview","openapi":"GET /reports/data_maturity_scan/job_maturity_overview","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-job-maturity-overview"},{"title":"Get Data Improvement Actions","openapi":"GET /reports/data_maturity_scan/data_improvement_actions","href":"/reference/latest/Reports/Data Maturity Scan/get-reports-data-maturity-scan-data-improvement-actions"}]}]},{"group":"Version","pages":[{"group":"Version","pages":[{"title":"Get API Version","openapi":"GET /version","href":"/reference/latest/Version/Version/get-version"}]}]}]},{"tab":"Tutorials","pages":[{"title":"Tutorials","href":"/tutorials"}]},{"tab":"Technology","pages":[{"title":"Technology","href":"/technology"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"Open Source","pages":[{"title":"Open Source","href":"/open-source"}]}]}]},"title":"Bulk Accept or Reject Job Architecture Suggestions - TechWolf Developer Portal","buildId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","deploymentId":"dpl_EnxDqhjaNc9a8MVa833TGULPd9uJ","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-26-lDe7V.js","utils-CWQmgYtH.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-4-Aw3rSD.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-C2zjXYA5.js","snippetPresets-DFmpFA7C.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-FJpQavWq.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-D_GvPF7k.js","shallow-Bs2ZB0NO.js","getApiPlaygroundDisplay-DCcqJJk-.js","CodeSnippet-DzDxawVe.js","CodeSnippets-aUr7fU-7.js","Page-CT9uE8Ip.js","getPastedJson-Y1fKsj_I.js","icon-DI4zTsDr.js","MethodPill-C0nDlmSQ.js","DuplicateIcon-NUXbx2nQ.js","createIcon-BdTHrPAi.js","DynamicMarkdown-CtpgKJwj.js","SectionHeading-B3x35tOt.js","axios-vUo_bRtp.js","Markdown-3OmurJMP.js","clsx-DMKzROTp.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-1ms6tsT-.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-Ke9xIMFx.js"]}